Skip to content

Managed Backup for VMware

All operations require authentication.

44 operationsv1 · v2/backupServices/reference · /backupServices/tenant · /dedicatedCloud/{serviceName}
View as Markdown (opens in a new tab)
Agent setup

List backup repositoriesProduction

GET
/v1/dedicatedCloud/{serviceName}/backupRepository

Path parameters

serviceName
required
string

Domain of the service

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/backupRepository \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a backup repositoryProduction

GET
/v1/dedicatedCloud/{serviceName}/backupRepository/{repositoryId}

Get a backup repository. Returns the backup repository: name, replication zone, replication status and last successful replication date.

Path parameters

repositoryId
required
integer

Repository Id

serviceName
required
string

Domain of the service

Response

200BackupRepositorysuccessful operation
lastSuccessfulReplicationDate
read-only
stringdate-time

Replication last successful date

replication
read-only
StateEnum

Replication status

Valuesdisableddisablingenabledenablingerrormigratingunknown
replicationZone
read-only
string

Replication zone

repositoryId
read-only
integer

Repository Id

repositoryName
read-only
string

Repository Name

syncStatus
read-only
ReplicationSyncStatus

Replication sync status

Valuesokout-of-syncsync-requiredunknown

Example uses repositoryId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/backupRepository/{repositoryId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "lastSuccessfulReplicationDate": "2024-01-01T12:00:00Z", "replication": "disabled", "replicationZone": "string", "repositoryId": 0, "repositoryName": "string", "syncStatus": "ok"}

Get the backup optionProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup

Get the backup option. Returns the backup option of the datacenter: offer, state, schedule hour, encryption and report settings.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Backupsuccessful operation
backupDurationInReport
read-only
boolean

Duration on email report

backupOffer
read-only
OfferTypeEnum

Backup offer type

Valuesadvancedbackupclassiclegacypremium
backupSizeInReport
read-only
boolean

Backup size on day on email report

diskSizeInReport
read-only
boolean

Disk size on mail report

encryption
read-only
boolean

Backup is encrypted

fullDayInReport
read-only
boolean

Full day on mail report

hostname
read-only
string

Name of the backup server virtual machine.

mailAddress
read-only
string

Unique additional email address for backup daily report

replicationZone
read-only
string

Backup replication zone

restorePointInReport
read-only
boolean

RestorePoint number on mail report

scheduleHour
read-only
time

Schedule hour for start backup

state
read-only
BackupStateEnum

This Backup current state

Valuesdisableddisablingenabledenablingerrormigratingremoving
vmwareVmId
read-only
string

The moref of the backup server virtual machine

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "backupDurationInReport": true, "backupOffer": "advanced", "backupSizeInReport": true, "diskSizeInReport": true, "encryption": true, "fullDayInReport": true, "hostname": "string", "mailAddress": "string", "replicationZone": "string", "restorePointInReport": true, "scheduleHour": "15:04:05", "state": "disabled", "vmwareVmId": "string"}

Restore the last backupsProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/batchRestore

Restore the last backups. Restores each backup job, or a single virtual machine, from its last restore point. Find the repository and job names in the report sent by generateReport. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

backupJobName
string

The backup job name pcc-XXX-XXX-XXX-XXX_vm-XXX if you want to restore one single virtual machine. It can be retrieved in the report sent by generateReport

backupRepositoryName
required
string

The backup files location name bkp-XXXXX, it can be retrieved in the report sent by generateReport

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/batchRestore \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Get backup proxy recommendationsProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/canOptimizeProxies

Get backup proxy recommendations. Returns a recommendation to add or remove backup proxies, with the number of proxies deployed and impacted.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200OptimizeProxiessuccessful operation
message
OptimizeMessageEnum

Brief information about recommendation

ValueshasMoreBackupJobshasMoreProxieshasSufficientProxiesnoBackupJobs
numberOfProxiesDeployed
integer

Number of proxies deployed in the Datacenter

numberOfProxiesImpact
integer

Number of proxies get impacted by recommendation

recommendation
OptimizeRecommendationEnum

Action recommended for the optimization

Valuesaddoptimizedremove

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/canOptimizeProxies \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "message": "hasMoreBackupJobs", "numberOfProxiesDeployed": 0, "numberOfProxiesImpact": 0, "recommendation": "add"}

Update the backup optionProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/changeProperties

Update the backup option. Changes the backup offer, the schedule hour (UTC) and the additional email address for the daily report. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

backupDurationInReport
boolean

Deprecated - Duration on email report

backupOffer
required
OfferTypeEnum

Backup offer type

Valuesadvancedbackupclassiclegacypremium
backupSizeInReport
boolean

Deprecated - Backup size on day on email report

diskSizeInReport
boolean

Deprecated - Disk size on mail report

fullDayInReport
boolean

Deprecated - Full day on mail report

mailAddress
string

Unique additional email address for backup daily report

restorePointInReport
boolean

Deprecated - RestorePoint number on mail report

scheduleHour
time

Schedule hour for start backup. UTC Timezone

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/changeProperties \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Disable the backup optionProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/disable

Disable the backup option. Disables the backup option of the datacenter. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/disable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Enable the backup optionDeprecated

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/enable

Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/cart/{cartId}/privateCloud instead.

Enable the backup option. Enables the backup option with the given offer. Deprecated: order the option with /order/cart/{cartId}/privateCloud instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

backupOffer
OfferTypeEnum

Backup offer type

Valuesadvancedbackupclassiclegacypremium

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/enable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Send a backup reportProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/generateReport

Send a backup report. Sends a report with all backup information by email. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/generateReport \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

List backup offersProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/offerCapabilities

List backup offers. Returns the features of each backup offer: retention, encryption, replication, backup days and report options.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200BackupCapabilities[]successful operation
backupDays
boolean

Customized backup days

customReport
boolean

Customized Backup report

dedicatedProxy
boolean

Indicates additional backup proxy for large disk size VM

encryption
boolean

Indicates if backup will be encrypted

mailAddress
boolean

Indicates if customer can add an additional email address for backup report

minimumFullBackups
integer

Minimum number of full backups

offerName
string

Name of offer type

proxyPerHost
boolean

Backup Proxy per host

replication
boolean

Backup Replication enabled

retention
integer

Restore points

scheduleHour
boolean

Scheduled hour of backup start customizable

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/offerCapabilities \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "backupDays": true, "customReport": true, "dedicatedProxy": true, "encryption": true, "mailAddress": true, "minimumFullBackups": 0, "offerName": "string", "proxyPerHost": true, "replication": true, "retention": 0, "scheduleHour": true }]

Optimize backup proxiesProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/optimizeProxies

Optimize backup proxies. Optimizes the number of backup proxies of the datacenter. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/optimizeProxies \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

List datacenter backup repositoriesDeprecated

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backupRepository

Deprecated since Sep 30, 2022, will be removed on Jun 30, 2023 — use /dedicatedCloud/{serviceName}/backupRepository instead.

List datacenter backup repositories. Returns the IDs of the backup repositories of the datacenter. Deprecated: use /dedicatedCloud/{serviceName}/backupRepository instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200integer[]successful operation

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backupRepository \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a backup repositoryDeprecated

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backupRepository/{repositoryId}

Deprecated since Sep 30, 2022, will be removed on Jun 30, 2023 — use /dedicatedCloud/{serviceName}/backupRepository/{repositoryId} instead.

Get a backup repository. Returns the backup repository: name, replication zone, replication status and last successful replication date.

Path parameters

datacenterId
required
integer

Id of the Datacenter

repositoryId
required
integer

Repository Id

serviceName
required
string

Domain of the service

Response

200BackupRepositorysuccessful operation
lastSuccessfulReplicationDate
read-only
stringdate-time

Replication last successful date

replication
read-only
StateEnum

Replication status

Valuesdisableddisablingenabledenablingerrormigratingunknown
replicationZone
read-only
string

Replication zone

repositoryId
read-only
integer

Repository Id

repositoryName
read-only
string

Repository Name

syncStatus
read-only
ReplicationSyncStatus

Replication sync status

Valuesokout-of-syncsync-requiredunknown

Example uses datacenterId = 0, repositoryId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backupRepository/{repositoryId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "lastSuccessfulReplicationDate": "2024-01-01T12:00:00Z", "replication": "disabled", "replicationZone": "string", "repositoryId": 0, "repositoryName": "string", "syncStatus": "ok"}

Check backup jobsProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/checkBackupJobs

Check backup jobs. Checks that the backup jobs of the datacenter are set correctly after virtual machines moved to another datacenter. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/checkBackupJobs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Get a VM backup jobDeprecated

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob

Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.

Get a VM backup job. Returns the backup job of the virtual machine: offer, backup days, retention and state. Deprecated: use the backup data of the virtual machine instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Response

200BackupJobsuccessful operation
allocatedDisk
read-only
number

Disk space allocated to the virtual machine

backupDays
read-only
BackupDaysEnum[]

List of days your Virtual Machine will be backuped

ValuesFridayMondaySaturdaySundayThursdayTuesdayWednesday
encryption
read-only
boolean

Backup is encrypted

offerType
read-only
OfferTypeEnum

Offer type of the backup job

Valuesadvancedbackupclassiclegacypremium
retentionTime
read-only
integer

Number of days before the backup is deleted

state
read-only
StateEnum

State of the backup job

ValuesdeletingdelivereddisableddisablingenablingerrormigratingpendingremovedstoppingtoCreatetoDeletetoDisabletoEnabletoStopunknown
vmName
read-only
string

Name of the virtual Machine

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allocatedDisk": 0, "backupDays": [ "Friday" ], "encryption": true, "offerType": "advanced", "retentionTime": 0, "state": "deleting", "vmName": "string"}

Update a VM backup jobDeprecated

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob

Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.

Update a VM backup job. Changes the backup days of the virtual machine. Deprecated: use the backup routes of the virtual machine instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Request body (required)

backupDays
required
BackupDaysEnum[]

List of days your Virtual Machine will be backuped

ValuesFridayMondaySaturdaySundayThursdayTuesdayWednesday

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Disable a VM backup jobDeprecated

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/disable

Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.

Disable a VM backup job. Stops the backups of the virtual machine. Deprecated: use the backup routes of the virtual machine instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/disable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Enable a VM backup jobDeprecated

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/enable

Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.

Enable a VM backup job. Starts backing up the virtual machine on the given days. Deprecated: use the backup routes of the virtual machine instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Request body (required)

backupDays
required
BackupDaysEnum[]

Backup offer type

ValuesFridayMondaySaturdaySundayThursdayTuesdayWednesday

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/enable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

List VM restore pointsDeprecated

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/restorePoints

Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.

List VM restore points. Returns the IDs of the restore points of the virtual machine. Deprecated: use the backup data of the virtual machine instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Response

200integer[]successful operation

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/restorePoints \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a VM restore pointDeprecated

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/restorePoints/{restorePointId}

Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.

Get a VM restore point. Returns the restore point: type, size, creation time and whether it is corrupted. Deprecated: use the backup data of the virtual machine instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

restorePointId
required
integer

Id of the restore point.

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Response

200RestorePointsuccessful operation
creationTime
read-only
string

Creation time of the restore point

isCorrupted
read-only
boolean

Show if the restore point is corrupted

restorePointId
read-only
integer

Id of the restore point.

restorePointSize
read-only
UnitAndValue_long

Size of the restore point

type
read-only
BackupTypeEnum

Type of the restore point

Valuesfullincremental

Example uses datacenterId = 0, restorePointId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/restorePoints/{restorePointId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationTime": "string", "isCorrupted": true, "restorePointId": 0, "restorePointSize": { "unit": "string", "value": 0 }, "type": "full"}

Restore a VM restore pointDeprecated

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/restorePoints/{restorePointId}/restore

Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.

Restore a VM restore point. Restores the virtual machine from this restore point to the given datastore. Deprecated: use the backup routes of the virtual machine instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

restorePointId
required
integer

Id of the restore point.

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Request body (required)

filerId
required
integer

Id of the filer where we should restore this Backup.

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, restorePointId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/restorePoints/{restorePointId}/restore \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Disable VM backupProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/disableBackup

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/disableBackup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Update VM backup daysProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/editBackup

Update VM backup days. Changes the days on which the virtual machine is backed up. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Request body (required)

backupDays
required
BackupDaysEnum[]

List of days your Virtual Machine will be backuped

ValuesFridayMondaySaturdaySundayThursdayTuesdayWednesday

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/editBackup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Enable VM backupProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/enableBackup

Enable VM backup. Starts backing up the virtual machine on the given days. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Request body (required)

backupDays
required
BackupDaysEnum[]

List of days your Virtual Machine will be backuped

ValuesFridayMondaySaturdaySundayThursdayTuesdayWednesday

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/enableBackup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Restore a VM backupProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/restoreBackup

Restore a VM backup. Restores the virtual machine from a restore point to the given datastore, NAS by default or vSAN. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Request body (required)

filerId
required
integer

Id of the filer where we should restore this Backup

filerType
FilerTypeEnum

Type of filer where vm will be restored(Default value : nas)

Valuesnasvsan
restorePointId
required
integer

Id of the restorePoint you want to restore

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/restoreBackup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Lists, per region where a Hosted Private Cloud is located, the region hosting the vaults of its Managed Backup service and the regions allowed as replication secondary siteProduction

GET
/v2/backupServices/reference/managedBackupVaultRegion

Response

200objectsuccessful operation
primaryRegionName
read-only
RegionEnum

Region hosting the backup stack and the primary copy of the vaults for a Hosted Private Cloud located in this region, as reported in the vaultRegion of a Managed Backup service

Valuesaf-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-sea
secondaryRegions
read-only
ManagedBackupVaultRegionCandidate[]

Regions that can be chosen as replication secondary site when ordering a Managed Backup service for a Hosted Private Cloud located in this region

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/backupServices/reference/managedBackupVaultRegion \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "key": { "primaryRegionName": "af-north-lz-rba", "secondaryRegions": [ { "name": "af-north-lz-rba", "preferred": true } ] }}

Retrieves the backup tenants you manageProduction

GET
/v2/backupServices/tenant

Query parameters

iamTags
object

Filter resources on IAM tags

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200tenantWithIAM[]successful operation
createdAt
read-only
stringdate-time

Date and time the backup tenant is created

currentState
read-only
CurrentState

Current operational state of the backup tenant

currentTasks
read-only
CurrentTask[]

List of tasks that are currently running for the backup tenant

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Unique identifier of the backup tenant

resourceStatus
read-only
ResourceStatusEnum

Readiness status of the backup tenant

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of the target state of the backup tenant

updatedAt
read-only
stringdate-time

Date and time the backup tenant is last updated

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "id": "00000000-0000-0000-0000-000000000000", "name": "string", "vaults": [ "string" ], "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]

Retrieves the details of your backup tenantProduction

GET
/v2/backupServices/tenant/{backupServicesId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

Response

200tenantWithIAMsuccessful operation
createdAt
read-only
stringdate-time

Date and time the backup tenant is created

currentState
read-only
CurrentState

Current operational state of the backup tenant

currentTasks
read-only
CurrentTask[]

List of tasks that are currently running for the backup tenant

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Unique identifier of the backup tenant

resourceStatus
read-only
ResourceStatusEnum

Readiness status of the backup tenant

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of the target state of the backup tenant

updatedAt
read-only
stringdate-time

Date and time the backup tenant is last updated

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "id": "00000000-0000-0000-0000-000000000000", "name": "string", "vaults": [ "string" ], "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Lists vaults for your tenantProduction

GET
/v2/backupServices/tenant/{backupServicesId}/vault

Path parameters

backupServicesId
required
stringuuid

Backup services ID

Query parameters

iamTags
object

Filter resources on IAM tags

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200vaultWithIAM[]successful operation
createdAt
read-only
stringdate-time

Date and time when you created the vault

currentState
read-only
CurrentState

Current state of your vault

currentTasks
read-only
CurrentTask[]

List of tasks currently running on your vault

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of your vault. A UUID for Backup Agent and Backup Licenses vaults, the vault name for Managed Backup vaults.

resourceStatus
read-only
ResourceStatusEnum

Indicates the readiness of your vault

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of your vault target

updatedAt
read-only
stringdate-time

Date and time when you last updated the vault

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vault \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "buckets": [ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" } ], "id": "string", "includedSoftQuotaGb": 0, "name": "string", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE", "vaultProductLine": "BACKUP_AGENT", "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]

Retrieves specific vault detailsProduction

GET
/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

vaultId
required
string

Vault ID

Response

200vaultWithIAMsuccessful operation
createdAt
read-only
stringdate-time

Date and time when you created the vault

currentState
read-only
CurrentState

Current state of your vault

currentTasks
read-only
CurrentTask[]

List of tasks currently running on your vault

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of your vault. A UUID for Backup Agent and Backup Licenses vaults, the vault name for Managed Backup vaults.

resourceStatus
read-only
ResourceStatusEnum

Indicates the readiness of your vault

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of your vault target

updatedAt
read-only
stringdate-time

Date and time when you last updated the vault

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vaultId = string

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "buckets": [ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" } ], "id": "string", "includedSoftQuotaGb": 0, "name": "string", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE", "vaultProductLine": "BACKUP_AGENT", "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Updates vault display name and cloud repositoryProduction

PUT
/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

vaultId
required
string

Vault ID

Request body (required)

name
required
string

Display name of your vault

Response

200vaultsuccessful operation
createdAt
read-only
stringdate-time

Date and time when you created the vault

currentState
read-only
CurrentState

Current state of your vault

currentTasks
read-only
CurrentTask[]

List of tasks currently running on your vault

id
read-only
string

Unique identifier of your vault. A UUID for Backup Agent and Backup Licenses vaults, the vault name for Managed Backup vaults.

resourceStatus
read-only
ResourceStatusEnum

Indicates the readiness of your vault

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of your vault target

updatedAt
read-only
stringdate-time

Date and time when you last updated the vault

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vaultId = string

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "buckets": [ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" } ], "id": "string", "includedSoftQuotaGb": 0, "name": "string", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE", "vaultProductLine": "BACKUP_AGENT", "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Lists buckets of the vaultProduction

GET
/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}/bucket

Path parameters

backupServicesId
required
stringuuid

Backup services ID

vaultId
required
string

Vault ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200bucket[]successful operation
encrypted
read-only
boolean

Whether the backup data stored in the bucket is encrypted. Always true for Managed Backup buckets. Null when not reported by the platform.

id
read-only
stringuuid

Specifies the unique identifier of the bucket

immutability
read-only
Immutability

Immutability settings of the bucket, enabled on the buckets of a PREMIUM Managed Backup vault. Null when not reported by the platform.

name
read-only
string

Specifies the name of the bucket

performance
read-only
BucketPerformanceEnum

Specifies the performance tier of the bucket

ValuesHIGH_PERFSTANDARD
region
read-only
RegionEnum

Specifies the geographic region where the bucket is located

Valuesaf-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-sea
role
read-only
BucketRoleEnum

Specifies the role assigned to the bucket

ValuesPRIMARYREPLICA
status
read-only
ResourceStatusEnum

Specifies the current status of the bucket

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vaultId = string

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}/bucket \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" }]

Gets specific vault bucket detailsProduction

GET
/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}/bucket/{bucketId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

bucketId
required
stringuuid

Bucket ID

vaultId
required
string

Vault ID

Response

200bucketsuccessful operation
encrypted
read-only
boolean

Whether the backup data stored in the bucket is encrypted. Always true for Managed Backup buckets. Null when not reported by the platform.

id
read-only
stringuuid

Specifies the unique identifier of the bucket

immutability
read-only
Immutability

Immutability settings of the bucket, enabled on the buckets of a PREMIUM Managed Backup vault. Null when not reported by the platform.

name
read-only
string

Specifies the name of the bucket

performance
read-only
BucketPerformanceEnum

Specifies the performance tier of the bucket

ValuesHIGH_PERFSTANDARD
region
read-only
RegionEnum

Specifies the geographic region where the bucket is located

Valuesaf-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-sea
role
read-only
BucketRoleEnum

Specifies the role assigned to the bucket

ValuesPRIMARYREPLICA
status
read-only
ResourceStatusEnum

Specifies the current status of the bucket

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, bucketId = 00000000-0000-0000-0000-000000000000, vaultId = string

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}/bucket/{bucketId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING"}

Retrieves S3™*-compatible credentials and connection endpoint for a vault bucketProduction

GET
/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}/bucket/{bucketId}/credentials

* S3 is a trademark filed by Amazon Technologies,Inc. OVHcloud's service is not sponsored by, endorsed by, or otherwise affiliated with Amazon Technologies,Inc.

Path parameters

backupServicesId
required
stringuuid

Backup services ID

bucketId
required
stringuuid

Bucket ID

vaultId
required
string

Vault ID

Response

200Credentialssuccessful operation
accessKey
read-only
string

S3 access key

bucketName
read-only
string

Name of the bucket these credentials belong to

endpoint
read-only
string

S3 endpoint URL to configure in your environment

regionCode
read-only
RegionCodeEnum

Short region code of the bucket

Valuesap-south-mumap-southeast-sydbhsca-east-tordeeu-south-mileu-west-pargrarbxsbgsgpukwaw
secretKey
read-only
stringpassword

S3 secret key, sensitive value

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, bucketId = 00000000-0000-0000-0000-000000000000, vaultId = string

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}/bucket/{bucketId}/credentials \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accessKey": "string", "bucketName": "string", "endpoint": "string", "regionCode": "ap-south-mum", "secretKey": "string"}

Retrieves list of VSPC tenantsProduction

GET
/v2/backupServices/tenant/{backupServicesId}/vspc

Path parameters

backupServicesId
required
stringuuid

Backup services ID

Query parameters

iamTags
object

Filter resources on IAM tags

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200vspcWithIAM[]successful operation
createdAt
read-only
stringdate-time

Date and time when the tenant is created

currentState
read-only
CurrentState

Current state of the tenant

currentTasks
read-only
CurrentTask[]

List of tasks currently running for the tenant

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Unique identifier of the tenant

resourceStatus
read-only
ResourceStatusEnum

Indicates whether the vault is ready

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of the target for the tenant

updatedAt
read-only
stringdate-time

Date and time when the tenant is last updated

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessUrl": "string", "backupAgents": [ { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" } ], "backupLicensesId": "string", "companyName": "string", "enabledAddons": [ "BACKUP_AGENT" ], "id": "00000000-0000-0000-0000-000000000000", "managedBackupIds": [ "string" ], "name": "string", "region": "af-north-lz-rba", "status": "CREATING", "vaults": [ { "allowedIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE" } ], "vspcType": "ADVANCED" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]

Retrieves details of a specific VSPC tenantProduction

GET
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Response

200vspcWithIAMsuccessful operation
createdAt
read-only
stringdate-time

Date and time when the tenant is created

currentState
read-only
CurrentState

Current state of the tenant

currentTasks
read-only
CurrentTask[]

List of tasks currently running for the tenant

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Unique identifier of the tenant

resourceStatus
read-only
ResourceStatusEnum

Indicates whether the vault is ready

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of the target for the tenant

updatedAt
read-only
stringdate-time

Date and time when the tenant is last updated

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessUrl": "string", "backupAgents": [ { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" } ], "backupLicensesId": "string", "companyName": "string", "enabledAddons": [ "BACKUP_AGENT" ], "id": "00000000-0000-0000-0000-000000000000", "managedBackupIds": [ "string" ], "name": "string", "region": "af-north-lz-rba", "status": "CREATING", "vaults": [ { "allowedIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE" } ], "vspcType": "ADVANCED" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Updates the display name of a VSPC tenantProduction

PUT
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Request body (required)

name
required
string

Display name of the tenant

Response

200vspcsuccessful operation
createdAt
read-only
stringdate-time

Date and time when the tenant is created

currentState
read-only
CurrentState

Current state of the tenant

currentTasks
read-only
CurrentTask[]

List of tasks currently running for the tenant

id
read-only
stringuuid

Unique identifier of the tenant

resourceStatus
read-only
ResourceStatusEnum

Indicates whether the vault is ready

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of the target for the tenant

updatedAt
read-only
stringdate-time

Date and time when the tenant is last updated

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessUrl": "string", "backupAgents": [ { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" } ], "backupLicensesId": "string", "companyName": "string", "enabledAddons": [ "BACKUP_AGENT" ], "id": "00000000-0000-0000-0000-000000000000", "managedBackupIds": [ "string" ], "name": "string", "region": "af-north-lz-rba", "status": "CREATING", "vaults": [ { "allowedIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE" } ], "vspcType": "ADVANCED" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Retrieves the Managed Backup services of the VSPC tenant, one per protected Hosted Private Cloud; empty when the Managed Backup add-on is not enabledProduction

GET
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup

Path parameters

backupServicesId
required
stringuuid

Backup services ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Query parameters

iamTags
object

Filter resources on IAM tags

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200managedBackupWithIAM[]successful operation
createdAt
read-only
stringdate-time

Date and time when the service is created

currentState
read-only
CurrentState

Current state of the service

currentTasks
read-only
CurrentTask[]

Current tasks running on the service

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of the Managed Backup service, formatted managed-backup- followed by the service name of the protected Hosted Private Cloud

resourceStatus
read-only
ResourceStatusEnum

Indicates the readiness of the service. SUSPENDED while backup schedules are stopped.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Target specification for the service

updatedAt
read-only
stringdate-time

Date and time when the service is last updated

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "hostedPrivateCloudServiceName": "string", "protectedVmCount": 0, "unprotectedVmCount": 0, "vaultRegion": "af-north-lz-rba", "vaultSecondaryRegion": "af-north-lz-rba", "vbrLogin": "string", "vbrUrl": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "displayName": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]

Retrieves a Managed Backup service of the VSPC tenantProduction

GET
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

managedBackupId
required
string

Managed backup ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Response

200managedBackupWithIAMsuccessful operation
createdAt
read-only
stringdate-time

Date and time when the service is created

currentState
read-only
CurrentState

Current state of the service

currentTasks
read-only
CurrentTask[]

Current tasks running on the service

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of the Managed Backup service, formatted managed-backup- followed by the service name of the protected Hosted Private Cloud

resourceStatus
read-only
ResourceStatusEnum

Indicates the readiness of the service. SUSPENDED while backup schedules are stopped.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Target specification for the service

updatedAt
read-only
stringdate-time

Date and time when the service is last updated

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "hostedPrivateCloudServiceName": "string", "protectedVmCount": 0, "unprotectedVmCount": 0, "vaultRegion": "af-north-lz-rba", "vaultSecondaryRegion": "af-north-lz-rba", "vbrLogin": "string", "vbrUrl": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "displayName": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Updates the display name of a Managed Backup serviceProduction

PUT
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

managedBackupId
required
string

Managed backup ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Request body (required)

displayName
required
string

Display name of the service

Response

200managedBackupsuccessful operation
createdAt
read-only
stringdate-time

Date and time when the service is created

currentState
read-only
CurrentState

Current state of the service

currentTasks
read-only
CurrentTask[]

Current tasks running on the service

id
read-only
string

Unique identifier of the Managed Backup service, formatted managed-backup- followed by the service name of the protected Hosted Private Cloud

resourceStatus
read-only
ResourceStatusEnum

Indicates the readiness of the service. SUSPENDED while backup schedules are stopped.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Target specification for the service

updatedAt
read-only
stringdate-time

Date and time when the service is last updated

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "hostedPrivateCloudServiceName": "string", "protectedVmCount": 0, "unprotectedVmCount": 0, "vaultRegion": "af-north-lz-rba", "vaultSecondaryRegion": "af-north-lz-rba", "vbrLogin": "string", "vbrUrl": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "displayName": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Retrieves the current billable consumption of the Managed Backup service: number of backed up virtual machines per vault level and size band with the matching plan code; no price is returnedProduction

GET
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}/consumption

Path parameters

backupServicesId
required
stringuuid

Backup services ID

managedBackupId
required
string

Managed backup ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Response

200Consumptionsuccessful operation
billedVmCount
read-only
integer

Number of virtual machines generating a billing line, the sum of the vmCount of all lines

lines
read-only
ConsumptionLine[]

One line per non-empty combination of vault level and size band. Empty while the service is suspended.

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}/consumption \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "billedVmCount": 0, "lines": [ { "planCode": "string", "sizeBand": "MAX_1TB", "vaultLevel": "ADVANCED", "vmCount": 0 } ]}

Resets the password of your account on the Veeam Backup & Replication web interface of the Managed Backup serviceProduction

POST
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}/resetPassword

The account is the one reported in currentState.vbrLogin. The new password is generated by the platform and delivered to the contacts of your account. It is never returned by the API. Accepted on a READY or SUSPENDED service without a password reset already in progress.

Path parameters

backupServicesId
required
stringuuid

Backup services ID

managedBackupId
required
string

Managed backup ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Response

200managedBackupsuccessful operation
createdAt
read-only
stringdate-time

Date and time when the service is created

currentState
read-only
CurrentState

Current state of the service

currentTasks
read-only
CurrentTask[]

Current tasks running on the service

id
read-only
string

Unique identifier of the Managed Backup service, formatted managed-backup- followed by the service name of the protected Hosted Private Cloud

resourceStatus
read-only
ResourceStatusEnum

Indicates the readiness of the service. SUSPENDED while backup schedules are stopped.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Target specification for the service

updatedAt
read-only
stringdate-time

Date and time when the service is last updated

403objectError 403 response
409objectError 409 response

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}/resetPassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "hostedPrivateCloudServiceName": "string", "protectedVmCount": 0, "unprotectedVmCount": 0, "vaultRegion": "af-north-lz-rba", "vaultSecondaryRegion": "af-north-lz-rba", "vbrLogin": "string", "vbrUrl": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "displayName": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Lists the virtual machines known to the Managed Backup service with their protection state, billing dimensions and last backup informationProduction

GET
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}/virtualMachine

Path parameters

backupServicesId
required
stringuuid

Backup services ID

managedBackupId
required
string

Managed backup ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200virtualMachine[]successful operation
id
read-only
string

vSphere managed object reference of the virtual machine, vm- prefix included, for example vm-4021. A restored virtual machine is a new vSphere object with a new identifier.

lastBackupAt
read-only
stringdate-time

Date and time of the last backup cycle that included the virtual machine. Null when it has never been backed up.

name
read-only
string

Name of the virtual machine in vSphere at the last refresh

protectionStatus
read-only
ManagedBackupVmProtectionStatusEnum

Indicates whether the virtual machine carries a valid vault tag. Independent of the result of its backups.

ValuesPROTECTEDUNPROTECTED
refreshedAt
read-only
stringdate-time

Date and time when this entry was last refreshed from the backup platform

restorePointCount
read-only
integer

Number of restore points currently held for the virtual machine. 0 when it has never been backed up.

sizeBand
read-only
ManagedBackupSizeBandEnum

Billing size band validated at the last backup of the virtual machine. Null when no backup has been validated yet.

ValuesMAX_1TBMAX_250GBMAX_2TBMAX_4TBMAX_6TBMAX_8TB
vaultLevel
read-only
ManagedBackupVaultLevelEnum

Vault level resolved from the vSphere tag of the virtual machine at the last backup cycle. The tag category allows a single vault tag per virtual machine. Null when the virtual machine is unprotected.

ValuesADVANCEDPREMIUMSTANDARD
vmSizeGb
read-only
integer

Used size of the virtual machine in GB, measured at the last backup and used to compute its sizeBand. Null when no measurement is available yet.

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}/virtualMachine \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "id": "string", "lastBackupAt": "2024-01-01T12:00:00Z", "name": "string", "protectionStatus": "PROTECTED", "refreshedAt": "2024-01-01T12:00:00Z", "restorePointCount": 0, "sizeBand": "MAX_1TB", "vaultLevel": "ADVANCED", "vmSizeGb": 0 }]

Retrieves the protection state, billing dimensions and last backup information of a virtual machineProduction

GET
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}/virtualMachine/{virtualMachineId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

managedBackupId
required
string

Managed backup ID

virtualMachineId
required
string

Virtual machine ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Response

200virtualMachinesuccessful operation
id
read-only
string

vSphere managed object reference of the virtual machine, vm- prefix included, for example vm-4021. A restored virtual machine is a new vSphere object with a new identifier.

lastBackupAt
read-only
stringdate-time

Date and time of the last backup cycle that included the virtual machine. Null when it has never been backed up.

name
read-only
string

Name of the virtual machine in vSphere at the last refresh

protectionStatus
read-only
ManagedBackupVmProtectionStatusEnum

Indicates whether the virtual machine carries a valid vault tag. Independent of the result of its backups.

ValuesPROTECTEDUNPROTECTED
refreshedAt
read-only
stringdate-time

Date and time when this entry was last refreshed from the backup platform

restorePointCount
read-only
integer

Number of restore points currently held for the virtual machine. 0 when it has never been backed up.

sizeBand
read-only
ManagedBackupSizeBandEnum

Billing size band validated at the last backup of the virtual machine. Null when no backup has been validated yet.

ValuesMAX_1TBMAX_250GBMAX_2TBMAX_4TBMAX_6TBMAX_8TB
vaultLevel
read-only
ManagedBackupVaultLevelEnum

Vault level resolved from the vSphere tag of the virtual machine at the last backup cycle. The tag category allows a single vault tag per virtual machine. Null when the virtual machine is unprotected.

ValuesADVANCEDPREMIUMSTANDARD
vmSizeGb
read-only
integer

Used size of the virtual machine in GB, measured at the last backup and used to compute its sizeBand. Null when no measurement is available yet.

400objectError 400 response
404objectError 404 response

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, virtualMachineId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managedBackup/{managedBackupId}/virtualMachine/{virtualMachineId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": "string", "lastBackupAt": "2024-01-01T12:00:00Z", "name": "string", "protectionStatus": "PROTECTED", "refreshedAt": "2024-01-01T12:00:00Z", "restorePointCount": 0, "sizeBand": "MAX_1TB", "vaultLevel": "ADVANCED", "vmSizeGb": 0}